| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LogConsumer Class Referenceabstract

Consumes a log entry to output it somewhere. More...

`#include <Log.hpp>`

Inheritance diagram for LogConsumer:
[legend]

## Public Member Functions

virtual | ~LogConsumer ()=default
virtual void | Consume (const Log::Entry &)=0

## Protected Member Functions

FASTDDS_EXPORTED_API void | print_timestamp (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_header (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_context (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_message (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_new_line (std::ostream &stream, bool color) const

## Detailed Description

Consumes a log entry to output it somewhere.

## Constructor & Destructor Documentation

## ◆ ~LogConsumer()

virtual ~LogConsumer | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ Consume()

virtual void Consume | ( | const Log::Entry & |  | ) |

pure virtual

Implemented in OStreamConsumer.

## ◆ print_context()

FASTDDS_EXPORTED_API void print_context | ( | std::ostream & | stream,
|  | const Log::Entry & | ,
|  | bool | color ) const

protected

## ◆ print_header()

FASTDDS_EXPORTED_API void print_header | ( | std::ostream & | stream,
|  | const Log::Entry & | ,
|  | bool | color ) const

protected

## ◆ print_message()

FASTDDS_EXPORTED_API void print_message | ( | std::ostream & | stream,
|  | const Log::Entry & | ,
|  | bool | color ) const

protected

## ◆ print_new_line()

FASTDDS_EXPORTED_API void print_new_line | ( | std::ostream & | stream,
|  | bool | color ) const

protected

## ◆ print_timestamp()

FASTDDS_EXPORTED_API void print_timestamp | ( | std::ostream & | stream,
|  | const Log::Entry & | ,
|  | bool | color ) const

protected

The documentation for this class was generated from the following file:

- include/fastdds/dds/log/Log.hpp